MKSUNCD(1)

NAME
mksuncd - add a bootable UFS partition to a filesystem image

SYNOPSIS
mksuncd partition-letter isofile ufsfile

DESCRIPTION
The mksuncd utility adds the file ufsfile to the end of isofile. ufsfile is assumed to be a bootable filesystem image and isofile is assumed to be something like an ISO 9660 filesystem. A Sun-style disklabel is expected to already be present at the beginning of isofile, and mksuncd will update that label so that the partition (a-h) given by partition-letter points to ufsfile within isofile.

Based on the label in isofile, that file is padded so that added files are always on cylinder boundaries. This is a requirement of the PROM.

BUGS
This program is not endian or type safe. It makes several assumptions about both based on its SPARC bias.